Package com.sun.jna.platform.win32

## Interface Wininet

All Superinterfaces:
  `AltCallingConvention`, `Library`, `StdCall`, `StdCallLibrary`

    public interface Wininet
    extends StdCallLibrary

Functions in WinInet.dll

### Nested Class Summary

Nested Classes
`static class` `Wininet.INTERNET_CACHE_ENTRY_INFO` Contains information about an entry in the Internet cache.

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`Library.Handler`

### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

`StdCallLibrary.StdCallCallback`

### Field Summary

Fields
`static int` `COOKIE_CACHE_ENTRY` Cookie cache entry.
`static int` `EDITED_CACHE_ENTRY` Cache entry file that has been edited externally.
`static Wininet` `INSTANCE` A usable instance of this interface
`static int` `NORMAL_CACHE_ENTRY` Normal cache entry; can be deleted to recover space for new entries.
`static int` `SPARSE_CACHE_ENTRY` Partial response cache entry.
`static int` `STICKY_CACHE_ENTRY` Sticky cache entry that is exempt from scavenging for the amount of time specified by dwExemptDelta. The default value set by CommitUrlCacheEntryA and CommitUrlCacheEntryW is one day.
`static int` `TRACK_OFFLINE_CACHE_ENTRY` Not currently implemented.
`static int` `TRACK_ONLINE_CACHE_ENTRY` Not currently implemented.
`static int` `URLHISTORY_CACHE_ENTRY` Visited link cache entry.

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

`FUNCTION_MAPPER, STDCALL_CONVENTION`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `DeleteUrlCacheEntry​(java.lang.String lpszUrlName)`
`boolean` `FindCloseUrlCache​(WinNT.HANDLE hFind)` Closes the specified cache enumeration handle.
`WinNT.HANDLE` `FindFirstUrlCacheEntry​(java.lang.String lpszUrlSearchPattern, Wininet.INTERNET_CACHE_ENTRY_INFO lpFirstCacheEntryInfo, IntByReference lpcbCacheEntryInfo)` Begins the enumeration of the Internet cache.
`boolean` `FindNextUrlCacheEntry​(WinNT.HANDLE hEnumHandle, Wininet.INTERNET_CACHE_ENTRY_INFO lpNextCacheEntryInfo, IntByReference lpcbCacheEntryInfo)`

### Field Detail

#### INSTANCE

    static final Wininet INSTANCE

A usable instance of this interface

#### NORMAL_CACHE_ENTRY

    static final int NORMAL_CACHE_ENTRY

Normal cache entry; can be deleted to recover space for new entries.

See Also:
  Constant Field Values

#### STICKY_CACHE_ENTRY

    static final int STICKY_CACHE_ENTRY

Sticky cache entry that is exempt from scavenging for the amount of time specified by dwExemptDelta.
The default value set by CommitUrlCacheEntryA and CommitUrlCacheEntryW is one day.

See Also:
  Constant Field Values

#### EDITED_CACHE_ENTRY

    static final int EDITED_CACHE_ENTRY

Cache entry file that has been edited externally. This cache entry type is exempt from scavenging.

See Also:
  Constant Field Values

#### TRACK_OFFLINE_CACHE_ENTRY

    static final int TRACK_OFFLINE_CACHE_ENTRY

Not currently implemented.

See Also:
  Constant Field Values

#### TRACK_ONLINE_CACHE_ENTRY

    static final int TRACK_ONLINE_CACHE_ENTRY

Not currently implemented.

See Also:
  Constant Field Values

#### SPARSE_CACHE_ENTRY

    static final int SPARSE_CACHE_ENTRY

Partial response cache entry.

See Also:
  Constant Field Values

#### COOKIE_CACHE_ENTRY

    static final int COOKIE_CACHE_ENTRY

Cookie cache entry.

See Also:
  Constant Field Values

#### URLHISTORY_CACHE_ENTRY

    static final int URLHISTORY_CACHE_ENTRY

Visited link cache entry.

See Also:
  Constant Field Values

### Method Detail

#### FindCloseUrlCache

    boolean FindCloseUrlCache​(WinNT.HANDLE hFind)

Closes the specified cache enumeration handle.

Parameters:
  `hFind` - Handle returned by a previous call to the FindFirstUrlCacheEntry function.
Returns:
  Returns TRUE if successful, or FALSE otherwise. To get extended error information, call GetLastError.

#### DeleteUrlCacheEntry

    boolean DeleteUrlCacheEntry​(java.lang.String lpszUrlName)

Parameters:
  `lpszUrlName` - String that contains the name of the source that corresponds to the cache entry.
Returns:
  Returns TRUE if successful, or FALSE otherwise.
  To get extended error information, call GetLastError.
  Possible error values include the following.
  - ERROR_ACCESS_DENIED:The file is locked or in use. The entry is marked and deleted when the file is unlocked.
  - ERROR_FILE_NOT_FOUND:The file is not in the cache.

#### FindFirstUrlCacheEntry

    WinNT.HANDLE FindFirstUrlCacheEntry​(java.lang.String lpszUrlSearchPattern,
                                        Wininet.INTERNET_CACHE_ENTRY_INFO lpFirstCacheEntryInfo,
                                        IntByReference lpcbCacheEntryInfo)

Begins the enumeration of the Internet cache.

Parameters:
  `lpszUrlSearchPattern` - A pointer to a string that contains the source name pattern to search for.
  This parameter can only be set to "cookie:", "visited:", or NULL.
  Set this parameter to "cookie:" to enumerate the cookies or "visited:" to enumerate the URL History entries in the cache.
  If this parameter is NULL, FindFirstUrlCacheEntry returns all content entries in the cache.
  `lpFirstCacheEntryInfo` - Pointer to an INTERNET_CACHE_ENTRY_INFO structure.
  `lpcbCacheEntryInfo` - Pointer to a variable that specifies the size of the lpFirstCacheEntryInfo buffer, in bytes.
  When the function returns, the variable contains the number of bytes copied to the buffer, or the required size needed to retrieve the cache entry, in bytes.
Returns:
  Returns a handle that the application can use in the FindNextUrlCacheEntry function to retrieve subsequent entries in the cache.
  If the function fails, the return value is NULL. To get extended error information, call GetLastError.
  ERROR_INSUFFICIENT_BUFFER indicates that the size of lpFirstCacheEntryInfo as specified by lpdwFirstCacheEntryInfoBufferSize is not sufficient to contain all the information.
  The value returned in lpdwFirstCacheEntryInfoBufferSize indicates the buffer size necessary to contain all the information.

#### FindNextUrlCacheEntry

    boolean FindNextUrlCacheEntry​(WinNT.HANDLE hEnumHandle,
                                  Wininet.INTERNET_CACHE_ENTRY_INFO lpNextCacheEntryInfo,
                                  IntByReference lpcbCacheEntryInfo)

Parameters:
  `hEnumHandle` - Handle to the enumeration obtained from a previous call to FindFirstUrlCacheEntry.
  `lpNextCacheEntryInfo` - Pointer to an INTERNET_CACHE_ENTRY_INFO structure that receives information about the cache entry.
  `lpcbCacheEntryInfo` - Pointer to a variable that specifies the size of the lpNextCacheEntryInfo buffer, in bytes.
  When the function returns, the variable contains the number of bytes copied to the buffer, or the size of the buffer required to retrieve the cache entry, in bytes.
Returns:
  Returns TRUE if successful, or FALSE otherwise.
  To get extended error information, call GetLastError.
  Possible error values include the following.
  - ERROR_INSUFFICIENT_BUFFER:The size of lpNextCacheEntryInfo as specified by lpdwNextCacheEntryInfoBufferSize is not sufficient to contain all the information.
    The value returned in lpdwNextCacheEntryInfoBufferSize indicates the buffer size necessary to contain all the information.
  - ERROR_NO_MORE_ITEMS:The enumeration completed.